#pragma once

#include "main.h"
#include "Boat.h"

class CaseData
{
public:
	CaseData();

	CaseType knownType();
	CaseType realType();

	bool hit(ShotResult &res);
	void open() { opened = true; }

	void setBoat(Boat* b) { boat = b; opened = false; }
	bool hasBoat() { return (boat!=NULL);}

	static bool finished;

private:
	bool opened;
	Boat* boat;

};

