#pragma once
#include "main.h"
#include "../MainFrame/MyWindow.h" 
class GameMaster;
class PlayerWdw;

class IntroWdw : public MyWindow
{
public:
	IntroWdw();
	~IntroWdw();

	void onDraw();
	bool onClearKeyPressed() { return false; }
	void onSignal(WORD signal);

	void gameEnded() { m_gameRunning = false; }

private:
	void newGame();
	void clearGame();
	void startNewGame(byte type);

	static PegMenuDescriptionML m_menuDesc[];
	static PegRect m_rect;

	bool m_gameRunning;
	GameMaster* m_master;
	PlayerWdw* m_window;
};
