
#pragma once

#define BSHIP_MSG_START		LOCAL_LANG_START+1

enum BattleShipMessage 
{
	MSG_ME_MISSED = BSHIP_MSG_START,
	MSG_ME_HIT,
	MSG_ME_DESTROYED,
	MSG_OPP_MISSED,
	MSG_OPP_HIT,
	MSG_OPP_DESTROYED,
	MSG_WIN,
	MSG_LOSE,
	MSG_PLACE_BOATS,
	MSG_WAITING_OPP,
	MSGBOX_WIN,
	MSGBOX_LOSE,
	MENU_NEWGAME,
	MENU_OPTIONS,
	CAPT_CONNECTION,
	CAPT_ERROR,

	MSG_OPEN_PORT_FAILED,
	MSG_NO_RESPONSE,
	MSG_CONNECT_ERROR,
	MSG_WAIT_OPP_SHOT,
	MSG_WAIT_OPP_READY,
	CAPT_END_GAME,
	CAPT_NEW_GAME,

	BTNTXT_ONE_PLAY,
	BTNTXT_TWO_PLAY,
	MSG_ASK_CONFIRM,

	MSG_WAIT_CALL,

	TITLE_PLAYER,
	TITLE_OPPONENT,
	CAPT_OPTIONS,
	CHK_DRAW_ANIM,
	CHK_PLACE_BOATS,
	RADIO_LINK_SERIAL,
	RADIO_LINK_USB,
	BTN_TXT_OK,
	BTN_TXT_CANCEL,

	BSHIP_MSG_END
};

char* ExtensionGetLang(ID_MESSAGE MessageNo);
