#pragma once
#include "main.h"

struct Boat
{
	Boat(byte ID, byte Type) 
		: size(boatSizes[Type])
		, id(ID)
		, damage(0)
		, hit(false)
		, destroyed(false)
		, row(0)
		, col(0)
		, horiz(true)
		, type(Type)
	{ }

	void hasBeenHit() 
	{ 
		hit = true; 
		if(destroyed==false)
		{
			damage++;
			destroyed = (damage==size);
		}
	}

	byte size;
	byte damage;
	byte id;
	byte type;
	bool hit;
	bool destroyed;
	byte row, col;
	bool horiz;
};

/////////////////////////////////////////////////////////////////////////////

