#pragma once

#include "main.h"
class Player;
class PlayerDoc;
class IntroWdw;

class GameMaster : public PegThing
{
public:
	GameMaster(byte gameType, IntroWdw* intro);
	~GameMaster(void);

//	Player* getPlayer(int num) { return (num ? m_pPlayers[1] : m_pPlayers[0]); }

	const ShotResult & playerShot(int player, int row, int col);
	void boatsPlaced(int num);
	void stopGame();

	PlayerDoc* getLocalPlayerDoc();
	Player* opponent(int num) { return m_pPlayers[!num]; }
	bool initOk() { return m_initOk; }

	SIGNED Message(const PegMessage &msg);

private:
	Player* m_pPlayers[2];

	void setNewMessage(BattleMessage m)
	{
		PegMessage msg(this, m);
		MessageQueue()->Push(msg);
	}

	IntroWdw* m_intro;
	bool m_p0Ready;
	bool m_p1Ready;
	bool m_initOk;
};
