#pragma once
#include "../MainFrame/MyWindow.h"

class OptionsWdw : public MyWindow
{
public:
	~OptionsWdw();

	void onDraw();
	
	static void enable(bool yes=true) { m_enabled = yes; }
	static void showWindow();
	static void loadOptions();
	static void saveOptions();

	static bool drawAnimations() { return m_drawAnim; }
	static bool placeBoatsManually() { return m_placeBoatsManually; }
	static bool linkUsbMode() { return m_usbMode; }

private:
	OptionsWdw();
	PegCheckBox* m_animCheck;
	PegCheckBox* m_placeBoatCheck;
	PegRadioButton* m_serialRadio;
	PegRadioButton* m_usbRadio;
	
	static OptionsWdw* m_instance;
	static bool m_enabled;
	static bool m_loaded;
	static PegRect m_rect;
	static bool m_placeBoatsManually;
	static bool m_drawAnim;
	static bool m_usbMode;
};
