#include "../USBComm/USBComm.h"
#include <ClassPad.h>

#include "IntroWdw.h" 
#include "../MainFrame/MyMainFrame.h" 

void PegAppInitialize(PegPresentationManager *pPresentation)
{
	linkInit();

	MyMainFrame* mf = new MyMainFrame();

	IntroWdw* intro = new IntroWdw();
	mf->addWindow(intro);

	pPresentation->Add(mf);
}

/////////////////////////////////////////////////////////////////////////////

short random(short sup)
{
	OBCD a, b, ran;
	Cal_shortto_OBC(0,&a);
	Cal_shortto_OBC(sup-1,&b);
	Cal_Random(1, &a, &b, &ran);
	Cal_int_OBC(&ran);
	short resp;
	Cal_toshort_OBC(&ran, &resp);
	return resp;
}

/////////////////////////////////////////////////////////////////////////////

byte boatTypes[NBR_BOATS] = 
{
	BOAT_BS,
	BOAT_FR, BOAT_FR,
	BOAT_CR, BOAT_CR, BOAT_CR,
	BOAT_MS, BOAT_MS, BOAT_MS
};

byte boatSizes[] = { 5,4,3,2 };

/////////////////////////////////////////////////////////////////////////////

